Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::xfa::WidgetChoiceOption Class Reference

Inherits Object.

## Public Member Functions
| WidgetChoiceOption ()
| Constructor.
| WidgetChoiceOption (const wchar_t *option_label, bool selected)
| Constructor, with parameters. More...
| WidgetChoiceOption (const WidgetChoiceOption &option)
| Constructor, with another choice option object. More...
WidgetChoiceOption & | operator= (const WidgetChoiceOption &option)
| Assign operator. More...
void | Set (const wchar_t *option_label, bool selected)
| Set value. More...

## Public Attributes
WString | option_label
| The displayed string value for the option.
bool | selected
| Used to indicate whether the option is selected or not.

## Detailed Description

This class represents the data of an option in list box or combo box.

## Constructor & Destructor Documentation

## ◆ WidgetChoiceOption() [1/2]

foxit::addon::xfa::WidgetChoiceOption::WidgetChoiceOption | ( | const wchar_t * | option_label,
|  | bool | selected
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.

## ◆ WidgetChoiceOption() [2/2]

foxit::addon::xfa::WidgetChoiceOption::WidgetChoiceOption | ( | const WidgetChoiceOption & | option | ) |
| inline

Constructor, with another choice option object.

Parameters

  [in] | option | Another choice option object.

## Member Function Documentation

## ◆ operator=()

WidgetChoiceOption& foxit::addon::xfa::WidgetChoiceOption::operator= | ( | const WidgetChoiceOption & | option | ) |
| inline

Assign operator.

Parameters

  [in] | option | Another choice option object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::addon::xfa::WidgetChoiceOption::Set | ( | const wchar_t * | option_label,
|  | bool | selected
| ) |  |
| inline

Set value.

Parameters

  [in] | option_label | The displayed string value for the option.
  [in] | selected | true means the option is selected, and false means the option is not selected.

Returns
  None.